require 'spec_helper'

module StartHer
  describe RedisClient do
    class RedisClientTest
      include RedisClient
    end

    subject { RedisClientTest.new }
    before(:each) { StartHer::Testing.disable! }
    after(:each) { StartHer::Testing.fake! }

    describe '#client' do
      context 'with all options' do
        let(:options) { { namespace: 'namespace:', db: 1, url: 'redis://localhost:6379' } }

        it 'instanciates a Redis::Namespace client' do
          expect(subject.send(:client, options)).to be_an_instance_of Redis::Namespace
        end
      end

      context 'without namespace' do
        let(:options) { { db: 1, url: 'redis://localhost:6379' } }

        it 'instanciates a Redis client' do
          expect(subject.send(:client, options)).to be_an_instance_of Redis
        end
      end

      context 'without any options' do
        let(:options) { {} }

        it 'instanciates a Redis client' do
          expect(subject.send(:client, options)).to be_an_instance_of Redis
        end
      end
    end
  end
end
