require 'spec_helper'

describe StartHer do
  describe '.env' do
    it 'returns the current environment' do
      expect(StartHer.env).to eq('test')
    end

    context 'when env is invalid' do
      before { ENV['RACK_ENV'] = 'trololo' }
      after { ENV['RACK_ENV'] = 'test' }

      it 'raises an error' do
        expect { StartHer.env }.to raise_error(RuntimeError, 'Invalid environment name')
      end
    end
  end

  describe '.config' do
    it 'returns an option Hash' do
      expect(StartHer.config).to be_an_instance_of(StartHer::Configuration)
    end
  end

  describe '.logger' do
    it 'returns an instance of logger' do
      expect(StartHer.logger).to be_a(LogStashLogger)
    end
  end
end
