# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'start_her/version'

Gem::Specification.new do |spec|
  spec.name          = 'start_her'
  spec.version       = StartHer::VERSION
  spec.authors       = %w(abourquin mdouchement)
  spec.email         = %w(armand.bourquin@predicsis.com marc.douchement@predicsis.com)
  spec.summary       = 'StartHer'
  spec.description   = 'Micro-service starter'
  spec.homepage      = 'https://github.com/PredicSis/start_her'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = ['starther']
  spec.test_files    = spec.files.grep(%(r{^(test|spec|features)/}))
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.0'

  # Redis
  spec.add_dependency 'redis', '~> 3.2'
  spec.add_dependency 'redis-namespace', '~> 1.5'
  spec.add_dependency 'msgpack', '~> 0.7'

  # Logs
  spec.add_dependency 'logstash-logger', '~> 0.15'

  # Helper
  spec.add_dependency 'gemsupport', '~> 0.4'

  # Rspec
  spec.add_development_dependency 'rspec', '~> 3.3'
  spec.add_development_dependency 'rubocop', '~> 0.29'
  spec.add_development_dependency 'pry', '~> 0.10'
end
